Bug 306891 - (CVE-2006-5753) CVE-2006-5753 kernel listxattr syscall can corrupt user space programs
CVE-2006-5753 kernel listxattr syscall can corrupt user space programs
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,source=redhat,reporte...
: Security
Depends On: 220119 220677 247600
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-26 09:14 EDT by Mark J. Cox (Product Security)
Modified: 2012-07-16 19:03 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-19 22:45:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2007-09-26 09:14:44 EDT
The listxattr syscall can corrupt user space under certain circumstances. The
problem seems to be related to signed/unsigned conversion during size promotion.
The function return_EIO returns an int but its used as a ssize_t with a
comparison to 0. This causes the range check to fail and copy_to_user copies way
too much.

This has been observed on iso9660 and squashfs on x86_64 machines.

Note You need to log in before you can comment on or make changes to this bug.